// Code generated by mockery v2.23.1. DO NOT EDIT.

package scope

import mock "github.com/stretchr/testify/mock"

// MockObject is an autogenerated mock type for the Object type
type MockObject struct {
	mock.Mock
}

// Entry provides a mock function with given fields:
func (_m *MockObject) Entry() string {
	ret := _m.Called()

	var r0 string
	if rf, ok := ret.Get(0).(func() string); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(string)
	}

	return r0
}

// IncludeAuthor provides a mock function with given fields:
func (_m *MockObject) IncludeAuthor() {
	_m.Called()
}

// Labels provides a mock function with given fields:
func (_m *MockObject) Labels() []string {
	ret := _m.Called()

	var r0 []string
	if rf, ok := ret.Get(0).(func() []string); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]string)
		}
	}

	return r0
}

type mockConstructorTestingTNewMockObject interface {
	mock.TestingT
	Cleanup(func())
}

// NewMockObject creates a new instance of MockObject. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewMockObject(t mockConstructorTestingTNewMockObject) *MockObject {
	mock := &MockObject{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
